Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class LRUStatefulContextCachePolicy

    java.lang.Object
      org.jboss.util.LRUCachePolicy
          org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
              org.jboss.ejb.plugins.LRUStatefulContextCachePolicy

All Implemented Interfaces:
  org.jboss.util.CachePolicy, Monitorable, XmlLoadable

public class LRUStatefulContextCachePolicy
extends LRUEnterpriseContextCachePolicy

Least Recently Used cache policy for StatefulSessionEnterpriseContexts.

Version:
  $Revision: 1.10 $
Author:
  Simone Bordet

Nested Class Summary
`protected class` | `LRUStatefulContextCachePolicy.RemoverTask` This TimerTask removes beans that have not been called for a while.

Nested classes inherited from class org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
`LRUEnterpriseContextCachePolicy.ContextLRUList, LRUEnterpriseContextCachePolicy.OveragerTask, LRUEnterpriseContextCachePolicy.ResizerTask`

Nested classes inherited from class org.jboss.util.LRUCachePolicy
`org.jboss.util.LRUCachePolicy.LRUCacheEntry, org.jboss.util.LRUCachePolicy.LRUList`

Field Summary

Fields inherited from class org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
`log, tasksTimer`

Fields inherited from class org.jboss.util.LRUCachePolicy
`m_list, m_map, m_maxCapacity, m_minCapacity`

Constructor Summary
`LRUStatefulContextCachePolicy(AbstractInstanceCache eic)` Creates a LRU cache policy object given the instance cache that use this policy object.

Method Summary
`void` | `importXml(Element element)` Reads from the configuration the parameters for this cache policy, that are all optionals.
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy
`ageOut, cacheMiss, createList, destroy, sample`

Methods inherited from class org.jboss.util.LRUCachePolicy
`create, createCacheEntry, flush, get, insert, peek, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUStatefulContextCachePolicy

    public LRUStatefulContextCachePolicy(AbstractInstanceCache eic)

  Creates a LRU cache policy object given the instance cache that use this policy object.

Method Detail

### start

    public void start()

  Specified by:
    `start` in interface `org.jboss.util.CachePolicy`
  Overrides:
    `start` in class `LRUEnterpriseContextCachePolicy`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.jboss.util.CachePolicy`
  Overrides:
    `stop` in class `LRUEnterpriseContextCachePolicy`

### importXml

    public void importXml(Element element)
                   throws org.jboss.deployment.DeploymentException

  Reads from the configuration the parameters for this cache policy, that are all optionals.

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `LRUEnterpriseContextCachePolicy`
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.